Skip to main content
GET
/
v1
/
tasks
Get Task Status
curl --request GET \
  --url https://api.loova.ai/api/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "trace_id": "45c30d76f06549b199a3775544515689",
  "message": null,
  "data": {
    "task_id": "record_id",
    "status": "succeeded",
    "model": "seedance_2_0",
    "created_at": "2024-01-01T12:00:00Z",
    "updated_at": "2024-01-01T12:00:05Z",
    "credits_cost": 12,
    "result": {
      "video_url": "https://example.com/video.mp4",
      "error_message": null,
      "finished_at": "2024-01-01T12:02:00Z"
    }
  }
}

Notes

  • Authentication: Authorization: Bearer <api_key>
  • result may be null while the task is still in progress
  • When the task succeeds, the generated video URL is returned in data.result.video_url
  • When the task fails, error details may be returned in data.result.error_message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

task_id
string
required

The task_id returned by the create task endpoint

Response

Successful response

code
integer
trace_id
string
message
string | null
data
object